Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 645430 - dev-libs/uriparser-0.8.4-r1 stable request (was: dev-libs/uriparser[doc,qt4] depends on deprecated Qt4)
Summary: dev-libs/uriparser-0.8.4-r1 stable request (was: dev-libs/uriparser[doc,qt4] ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sebastian Pipping
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2018-01-23 00:36 UTC by Andreas Sturmlechner
Modified: 2018-02-11 00:53 UTC (History)
0 users

See Also:
Package list:
dev-libs/uriparser-0.8.4-r1 amd64 ppc x86 dev-qt/qthelp-5.7.1 ppc
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-01-23 00:36:50 UTC
Qt4 is dead and going away, please look into the possibility of using Qt5 to build the help, or if it is not important enough, just drop the option.
Comment 1 Larry the Git Cow gentoo-dev 2018-01-24 20:48:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c23469e736594a8dac1738aa857aac7e246e5bd

commit 4c23469e736594a8dac1738aa857aac7e246e5bd
Author:     Sebastian Pipping <sping@gentoo.org>
AuthorDate: 2018-01-24 20:45:45 +0000
Commit:     Sebastian Pipping <sping@gentoo.org>
CommitDate: 2018-01-24 20:48:14 +0000

    dev-libs/uriparser: Qt5, EAPI 6, fix USE="doc qt[45]"
    
    Closes: https://bugs.gentoo.org/645430
    Package-Manager: Portage-2.3.20, Repoman-2.3.6

 .../files/uriparser-0.8.4-doc-install.patch        | 13 ++++++
 dev-libs/uriparser/uriparser-0.8.4-r1.ebuild       | 52 ++++++++++++++++++++++
 dev-libs/uriparser/uriparser-0.8.4.ebuild          | 12 ++++-
 3 files changed, 76 insertions(+), 1 deletion(-)
Comment 2 Sebastian Pipping gentoo-dev 2018-01-24 20:49:33 UTC
PS: No objections to call for stabilition of 0.8.4-r1 to remove remains of Qt4.


# eshowkw 
Keywords for dev-libs/uriparser:
         |                                 |   u   |  
         | a a         p   a     n r     s |   n   |  
         | l m   h i   p   r m m i i s   p | e u s | r
         | p d a p a p c x m i 6 o s 3   a | a s l | e
         | h 6 r p 6 p 6 8 6 p 8 s c 9 s r | p e o | p
         | a 4 m a 4 c 4 6 4 s k 2 v 0 h c | i d t | o
---------+---------------------------------+-------+-------
0.8.0    | o + o o o + ~ + o o o o o o o o | 4 o 0 | gentoo
0.8.4    | o ~ ~ o o ~ ~ ~ o o o o o o o o | 5 #   | gentoo
0.8.4-r1 | o ~ ~ o o ~ ~ ~ o o o o o o o o | 6 o   | gentoo
Comment 3 Andreas Sturmlechner gentoo-dev 2018-01-24 20:53:18 UTC
In EAPI 6, default applies user packages so please drop eapply_user. After that we can start stabilisation. ;)
Comment 4 Andreas Sturmlechner gentoo-dev 2018-01-24 20:53:33 UTC
(In reply to Andreas Sturmlechner from comment #3)
> In EAPI 6, default applies user packages
* patches
Comment 5 Sebastian Pipping gentoo-dev 2018-01-24 20:55:22 UTC
(In reply to Andreas Sturmlechner from comment #3 #4)
> In EAPI 6, default applies user patches so please drop eapply_user. After
> that we can start stabilisation. ;)

Sharp eye.  Give me a minute.
Comment 6 Larry the Git Cow gentoo-dev 2018-01-24 20:58:51 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=273d4682535fc1a6a210dbbaf20e139258839565

commit 273d4682535fc1a6a210dbbaf20e139258839565
Author:     Sebastian Pipping <sping@gentoo.org>
AuthorDate: 2018-01-24 20:57:24 +0000
Commit:     Sebastian Pipping <sping@gentoo.org>
CommitDate: 2018-01-24 20:58:43 +0000

    dev-libs/uriparser: Fix duplicate eapply_user
    
    Andreas Sturmlechner noticed:
    In EAPI 6, default applies user patches [..]
    
    Bug: https://bugs.gentoo.org/645430
    Package-Manager: Portage-2.3.20, Repoman-2.3.6

 dev-libs/uriparser/uriparser-0.8.4-r1.ebuild | 1 -
 1 file changed, 1 deletion(-)}
Comment 7 Stabilization helper bot gentoo-dev 2018-01-24 22:00:50 UTC
An automated check of this bug failed - repoman reported dependency errors (17 lines truncated): 

> dependency.bad dev-libs/uriparser/uriparser-0.8.4-r1.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['dev-qt/qthelp:5']
> dependency.bad dev-libs/uriparser/uriparser-0.8.4-r1.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['dev-qt/qthelp:5']
> dependency.bad dev-libs/uriparser/uriparser-0.8.4-r1.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop/gnome) ['dev-qt/qthelp:5']
Comment 8 Sergei Trofimovich gentoo-dev 2018-01-28 18:05:33 UTC
ppc stable
Comment 9 Thomas Deutschmann gentoo-dev Security 2018-02-06 18:39:21 UTC
x86 stable
Comment 10 Larry the Git Cow gentoo-dev 2018-02-11 00:51:23 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb1c5aa17a6b742d3ab567180ff59524787f5cb8

commit cb1c5aa17a6b742d3ab567180ff59524787f5cb8
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2018-02-11 00:49:31 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2018-02-11 00:51:10 +0000

    dev-libs/uriparser: stabilise 0.8.4-r1 for amd64
    
    Bug: https://bugs.gentoo.org/645430
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-libs/uriparser/uriparser-0.8.4-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 11 Michael Palimaka (kensington) gentoo-dev 2018-02-11 00:53:36 UTC
Cleanup done too.